﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;

namespace exam.Model
{
    [DataContract]
    public class Clothes
    {
        [DataMember]
        public string Title { get; set; }
        [DataMember]
        public string Brand {  get; set; }
        [DataMember]
        public string Category { get; set; }
        [DataMember(Name = "PublishDate")]
        private string? stringPublishDate {  get; set; }
        [IgnoreDataMember]
        public DateOnly PublishDate {  get; set; }
        [DataMember]
        public int Price { get; set; }
        [DataMember]
        public double Rating { get; set; }
        [DataMember]
        public bool Existence { get; set; }
        [DataMember]
        public string Photo {  get; set; }
    }

    public class ClothesCategory
    {
        public string Title { get; set; }
    }
    public class ClothesBrand
    {
        public string Title { get; set; }
    }
    public class ClothesPrice
    { 
        public string Title { get; set; }
        public int PriceFrom {  get; set; }
        public int PriceTo { get; set;}
    }
}
